Reupload Dataset
POST
/datasets/{dataset_id}/reupload
const url = 'https://example.com/api/datasets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/reupload';const form = new FormData();form.append('file', 'example');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/datasets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/reupload \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form file=exampleUpload a new file to replace the data in an existing dataset.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” dataset_id
required
Dataset Id
string format: uuid
Request Body required
Section titled “Request Body required ” Media type multipart/form-data
Body_reupload_dataset_datasets__dataset_id__reupload_post
object
file
required
File
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
ReuploadResponse
object
job_id
required
Job Id
string format: uuid
status
Status
string
message
required
Message
string
Example
{ "status": "pending"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}